%define perl_name Crypt::OpenSSL::Common
%define pmod_ver 0.2
%define real_name Crypt-OpenSSL-Common

Summary: The perl %{perl_name} module
Name: perl-%{real_name}
Version: %{pmod_ver}
Release: 4.%{_disttag}
License: Artistic
Group: Applications/CPAN
URL: http://search.cpan.org/search?mode=module&query=%{real_name}
Source0: %{real_name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Buildrequires: perl perl(ExtUtils::MakeMaker) openssl-devel
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Provides: perl(%{perl_name})
%define isnoarch %(tar ztf %{SOURCE0} | egrep -q -e 'xs$'; echo $?)

%if %{isnoarch}
BuildArch: noarch
%define optimize ""
%else
%define optimize OPTIMIZE="$RPM_OPT_FLAGS"
%endif

%description
The perl %{perl_name} module

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	%{optimize} 

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress
chmod -R u+w $RPM_BUILD_ROOT/*
find $RPM_BUILD_ROOT -type f -print | \
        sed "s@^$RPM_BUILD_ROOT@@g" > "%{name}-%{version}-%{release}-filelist"
if [ ! -s "%{name}-%{version}-%{release}-filelist" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
%{__rm} -rf %{buildroot}

%files -f "%{name}-%{version}-%{release}-filelist"
%defattr(-, root, root, 0755)

%changelog
* Sat Jan 14 2014 Salvador Ortiz <sog@msg.com.mx> 0.2-4
- Rebuild for F20

* Fri Jul 12 2013 Salvador Ortiz <sog@msg.com.mx> 0.2-3
- Rebuild for fc19

* Wed Jan 18 2012 Salvador Ortiz <sog@msg.com.mx> 0.2-2
- Rebuild for fc16 and epel-6

* Thu Nov 10 2011 Salvador Ortiz <sog@msg.com.mx> 0.2-1
- Update version

* Wed Apr 13 2011 Salvador Ortiz <sog@msg.com.mx> 0.1-1
- First build
